
User Interface - Bug #2613

improve performance of ScreenBitmap.canDraw (and of its callers)

07/23/2015 01:04 PM - Constantin Asofiei

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Performance and Scalability

Improvements

  

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Feature #3246: reduce the amount of data being se... Closed

History

#1 - 07/23/2015 01:09 PM - Constantin Asofiei

In GUI, ScreenBitmap.canDraw (and its callers, getVerticalFragments and getHorizontalFragments) are used intensively.  The performance for

canDraw is poor - it iterates all registered rectangles in ScreenBitmap.bitmap to determine if the specified point is part of it.  This should be improved

so that search is done faster: maintain some parallel sorted arrays by column/row, and use binary search on them?

#2 - 03/23/2016 05:15 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 17

#3 - 11/16/2016 12:30 PM - Greg Shah

- Target version changed from Milestone 17 to Performance and Scalability Improvements

#4 - 01/03/2018 02:07 PM - Greg Shah

- Related to Feature #3246: reduce the amount of data being sent to the client-side when an UI attribute is being changed added
